# $Revision: 1.42.2.1 $, $Date: 2003/07/31 19:33:11 $
Summary:	An FTP daemon provided by Washington University
Summary(es):	Deamon FTP de la Universidad de Washington
Summary(pl):	Serwer FTP stworzony przez Uniwersystet Waszyngtona
Summary(pt_BR):	Deamon FTP da Universidade de Washington
Summary(ru):	FTP-   Washington University
Summary(uk):	FTP-   Washington University
Name:		wu-ftpd
Version:	2.6.2
Release:	10
License:	BSD
Vendor:		WU-FTPD Development Group <wuftpd-members@wu-ftpd.org>
Group:		Daemons
Source0:	ftp://ftp.wu-ftpd.org/pub/wu-ftpd/%{name}-%{version}.tar.gz
# Source0-md5:	b3c271f02aadf663b8811d1bff9da3f6
Source1:	%{name}.inetd
Source2:	%{name}.logrotate
Source3:	ftp.pamd
Source4:	%{name}-passwd
Source5:	%{name}-group
Source6:	ftpusers.tar.bz2
# Source6-md5: 76c80b6ec9f4d079a1e27316edddbe16
Patch0:		%{name}-ipv6.patch
Patch1:		%{name}-install.patch
Patch2:		%{name}-conf.patch
Patch3:		%{name}-release.patch
Patch4:		%{name}-ls.patch
Patch5:		%{name}-2.6.2-realpatch.patch
URL:		http://www.wu-ftpd.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	ncompress
BuildRequires:	pam-devel
PreReq:		rc-inetd
Requires(post):	awk
Requires(post):	fileutils
Requires:	rc-inetd
Requires:	logrotate
Requires:	inetdaemon
Provides:	ftpserver
Obsoletes:	ftpserver
Obsoletes:	bftpd
Obsoletes:	ftpd-BSD
Obsoletes:	heimdal-ftpd
Obsoletes:	linux-ftpd
Obsoletes:	muddleftpd
Obsoletes:	proftpd
Obsoletes:	proftpd-common
Obsoletes:	proftpd-inetd
Obsoletes:	proftpd-standalone
Obsoletes:	pure-ftpd
Obsoletes:	troll-ftpd
Obsoletes:	vsftpd
Conflicts:	man-pages < 1.51
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/ftpd
%define		_localstatedir	/var/run

%description
wu-ftpd is a replacement ftp server for Un*x systems. Besides
supporting the ftp protocol defined in RFC 959, it adds the following
features: logging of transfers, logging of commands, on the fly
compression and archiving, classification of users on type and
location, per class limits, per directory upload permissions,
restricted guest accounts, system wide and per directory messages,
directory alias, cdpath, filename filter, virtual host support.

%description -l es
wu-ftpd es el daemon que ccc archivos FTP para clientes ftp. Es til
si deseas transferir programas entre ordenadores sin ejecutar un
sistema de archivos de red como NFS; o si deseas tener un sitio de FTP
annimo (en este caso, necesitas instalar el paquete anonftp).

%description -l pl
wu-ftpd jest bezporednim zamiennikiem serwera ftp dla systemw Un*x.
Poza wsparciem dla protokou ftp zdefiniowanego w RFC 959 wu-ftpd
zawiera kilka nowoci takich jak: logowanie transferw, logowanie
komend, kompresja i archiwizacja w locie, klasyfikacja uytkownikw na
podstawie typu i lokalizacji, limity na podstawie klasy, uprawnienia
do uploadowania dla dowolnego katalogu, restrykcyjne konta dla goci,
oglne komunikaty systemowe oraz komunikaty w zalenoci od katalogu,
aliasy dla katalogw, cdpath, filtr nazw plikw, wsparcie dla serwerw
wirtualnych.

%description -l pt_BR
wu-ftpd  o daemon que serve arquivos FTP para clientes ftp. Ele 
til se voc deseja transferir programas entre computadores sem rodar
um sistema de arquivos de rede como NFS; ou se voc deseja ter um site
de FTP annimo (neste caso, voc necessita instalar o pacote anonftp).

%description -l ru
    wu-ftpd  FTP (File Transfer
Protocol).  wu-ftpd   
,  ,    " ",
     "",  
  ,       
,   ,   
  ,  , cdpath,  
    .

%description -l uk
  ͦ  wu-ftpd  FTP (File Transfer
Protocol). Ԧ wu-ftpd   
̦,  , Ӧ  Ȧæ " ",
Ʀæ ަ     "Ԧ", ҦΦ 
 Ҧ Ӧ,  צ   ̦,
Φ צ , Φ  ͦ  Ǧ
צ, Φ Ǧ, cdpath, Ʀ  ̦ 
Ц צ Ҧ.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
sed -e 's/dnl.*//' <configure.in >configure.in.new
mv -f configure.in.new configure.in
%{__aclocal}
%{__autoconf}
%configure \
	--with-etc-dir=%{_sysconfdir} \
	--with-pid-dir=%{_localstatedir} \
	--with-log-dir=%{_var}/log \
	--enable-pam \
	--enable-quota \
	--enable-ratios \
	--enable-passwd \
	--enable-ls \
	--disable-numericuid \
	--enable-rfc931 \
	--enable-ipv6

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{logrotate.d,pam.d,sysconfig/rc-inetd,security} \
	$RPM_BUILD_ROOT/home/ftp/{etc/msgs,lib,bin,pub/Incoming} \
	$RPM_BUILD_ROOT%{_var}/log

install	/bin/{gzip,tar} $RPM_BUILD_ROOT/home/ftp/bin
install	%{_bindir}/{compress,cksum,md5sum} $RPM_BUILD_ROOT/home/ftp/bin
ln -sf gzip $RPM_BUILD_ROOT/home/ftp/bin/zcat
install	/lib/{libc-*.so,ld-*.so} $RPM_BUILD_ROOT/home/ftp/lib
install	/etc/ld.so.cache $RPM_BUILD_ROOT/home/ftp/etc

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALL_USER=$(id -u) \
	INSTALL_GROUP=$(id -g)

install doc/examples/ftpaccess.heavy	$RPM_BUILD_ROOT%{_sysconfdir}/ftpaccess
install	doc/examples/ftpservers		$RPM_BUILD_ROOT%{_sysconfdir}/ftpservers
install doc/examples/ftpgroups		$RPM_BUILD_ROOT%{_sysconfdir}/ftpgroups
install doc/examples/ftphosts		$RPM_BUILD_ROOT%{_sysconfdir}/ftphosts
install	doc/examples/ftpconversions	$RPM_BUILD_ROOT%{_sysconfdir}/ftpconversions
install %{SOURCE1}			$RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/ftpd
install %{SOURCE2}			$RPM_BUILD_ROOT/etc/logrotate.d/ftpd
install %{SOURCE3}			$RPM_BUILD_ROOT/etc/pam.d/ftp
install %{SOURCE4}			$RPM_BUILD_ROOT/home/ftp/etc/passwd
install %{SOURCE5}			$RPM_BUILD_ROOT/home/ftp/etc/group
install util/xferstats			$RPM_BUILD_ROOT%{_bindir}/xferstat

touch $RPM_BUILD_ROOT%{_sysconfdir}/ftpusers.default
touch $RPM_BUILD_ROOT%{_sysconfdir}/ftpusers
touch $RPM_BUILD_ROOT/var/log/xferlog
touch $RPM_BUILD_ROOT/etc/security/blacklist.ftp

echo "Too many users. Try again later." > $RPM_BUILD_ROOT/home/ftp/etc/msgs/toomany
echo "Server shutdown."			> $RPM_BUILD_ROOT/home/ftp/etc/msgs/shutdown
echo "Wrong file path."			> $RPM_BUILD_ROOT/home/ftp/etc/msgs/path

mv -f $RPM_BUILD_ROOT%{_sbindir}/in.ftpd $RPM_BUILD_ROOT%{_sbindir}/wu-ftpd
ln -sf wu-ftpd $RPM_BUILD_ROOT%{_sbindir}/ftpd

bzip2 -dc %{SOURCE6} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 027
touch /var/log/xferlog
umask 022
awk 'BEGIN { FS = ":" }; { if (($3 < 500) && ($1 != "ftp")) print $1; }' < /etc/passwd >> %{_sysconfdir}/ftpusers.default
if [ ! -f %{_sysconfdir}/ftpusers ]; then
	cp -f %{_sysconfdir}/ftpusers.default %{_sysconfdir}/ftpusers
fi

if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload 1>&2
else
	echo "Type \"/etc/rc.d/init.d/rc-inetd start\" to start inet server" 1>&2
fi

%postun
if [ "$1" = "0" -a -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload 1>&2
fi

%files
%defattr(644,root,root,755)
%doc CHANGES CONTRIBUTORS ERRATA LICENSE README doc/{HOWTO/*,misc/opie,TODO}

%attr(750,root,root) %dir %{_sysconfdir}
%attr(640,root,root) /etc/logrotate.d/*
%attr(640,root,root) %ghost /var/log/*
%attr(640,root,root) /etc/sysconfig/rc-inetd/ftpd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/*
%attr(640,root,root) %config(noreplace) %verify(not md5 size mtime) /etc/security/blacklist.ftp

%attr(640,root,root) %{_sysconfdir}/ftpusers.default
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ftpaccess
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ftpconversions
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ftpgroups
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ftphosts
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ftpservers
%attr(640,root,root) %ghost %{_sysconfdir}/ftpusers

%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*

%{_mandir}/man[158]/*
%lang(ja) %{_mandir}/ja/man5/ftpusers*
%lang(pl) %{_mandir}/pl/man5/ftpusers*
%lang(pt_BR) %{_mandir}/pt_BR/man5/ftpusers*
%lang(ru) %{_mandir}/ru/man5/ftpusers*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wu-ftpd.spec,v $
Revision 1.42.2.1  2003/07/31 19:33:11  misi3k
- adaptated for RA

Revision 1.42  2003/07/31 19:30:01  misi3k
- cosmetics

Revision 1.41  2003/07/31 19:27:34  misi3k
- rel 10
- added security patch
CVE: CAN-2003-0466
BUG:
Wu-ftpd FTP server contains remotely exploitable off-by-one bug. A local
or remote attacker could exploit this vulnerability to gain root
privileges on a vulnerable system.

Revision 1.40  2003/05/28 13:02:57  malekith
- massive attack: source-md5

Revision 1.39  2003/05/25 11:01:34  malekith
- massive attack, adding Source-md5

Revision 1.38  2003/05/25 06:28:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.37  2003/02/10 23:00:56  qboosh
- umask in %%post, Requires(), s/1000/500/ in %%post

Revision 1.36  2002/12/07 15:53:57  orzech
- /home -> /home/services

Revision 1.35  2002/10/23 10:38:00  ankry
- fixed path in ftpusers.5 man page; rel. 9

Revision 1.34  2002/10/09 13:14:50  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.33  2002/06/10 00:15:07  ankry
- Conflicts: man-pages < 1.51

Revision 1.32  2002/06/10 00:07:16  ankry
- added ftpusers(5) man pages
- release 8

Revision 1.31  2002/06/01 10:27:46  qboosh
- use just "PLD Linux" not "PLD GNU/Linux" in release patch
- removed Obsoletes: anonftp (anonftp is required for anonymous access)
- Obsoletes: vsftpd
- new %%doc
- release 7

Revision 1.30  2002/05/21 23:15:03  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.29  2002/04/13 06:38:21  kloczek
- release 6: merge translations from KSI.

Revision 1.28  2002/04/11 14:28:27  qboosh
- Obsoletes: proftpd-{common,inetd,standalone}; release 3

Revision 1.27  2002/02/23 05:10:59  kloczek
- adapterized.

Revision 1.26  2002/02/22 23:30:00  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.25  2002/01/25 21:55:47  bszx
 - added a patch which fixes internal ls
 - 'rc-inetd restart' changed to 'rc-inetd reload' in postinstall script

Revision 1.24  2002/01/24 05:41:39  kloczek
- merge translations from Conectiva.

Revision 1.23  2002/01/22 22:31:40  qboosh
- updated to 2.6.2, removed all official patches (already in source)
- updated ipv6 patch (not tested - but sources didn't change too much...)

Revision 1.22  2002/01/18 02:15:26  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.21  2001/12/06 22:12:09  filon
- removed second BuildRequires: pam-devel

Revision 1.20  2001/11/30 19:41:30  misiek
- release 11; added security fix for glob()

Revision 1.19  2001/10/12 07:53:45  qboosh
- Obsoletes: heimdal-ftpd, muddleftpd, proftpd, pure-ftpd, troll-ftpd

Revision 1.18  2001/10/11 10:35:01  qboosh
- BuildRequires: autoconf, automake

Revision 1.17  2001/07/28 20:59:34  blues
typo

Revision 1.16  2001/07/26 05:42:25  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.14  2001/07/06 09:40:19  wiget
workaround for new autoconf; release 10

Revision 1.13  2001/01/14 13:00:46  undefine
- Added bftpd to Obsoletes

Revision 1.12  2000/12/04 21:07:50  kloczek
- removed anonftp from Obsoletes.

Revision 1.11  2000/12/04 20:52:44  kloczek
- release 9,
- spec adapterized,
- removed chroot enviroment for wu-ftpd (this must be provided by anonftp
  package).

Revision 1.10  2000/12/03 19:01:31  waszi
- added ipv6 patch
- partially rewrited

Revision 1.9  2000/09/12 14:55:22  misiek
- updates

Revision 1.8  2000/08/07 23:00:14  baggins
- fixed rpm Group

Revision 1.7  2000/07/14 16:46:04  baggins
- release 4
- fixed problem with PAM config

Revision 1.6  2000/06/09 07:24:04  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/04/10 17:06:18  baggins
- more spelling fixes

Revision 1.4  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/02/02 11:05:20  waszi
- small fixes in permissions for pam.d or init.d

Revision 1.2  1999/12/13 20:52:01  alchemyx
- cosmetics

Revision 1.1  1999/08/19 20:07:27  baggins
almost raw

* Mon Apr 19 1999 <ewt@redhat.com>
- fixed pathname overflow patch

* Sat Apr 17 1999 <ewt@redhat.com>
- use libc glob function
- patched up some overflows - ick.

* Fri Apr 16 1999 Cristian Gafton <gafton@redhat.com>
- version 2.4.2-vr17. Thank GOD! - important patches are already in. Joy an
  happyness will reign the world now.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 6)

* Mon Feb 15 1999 Cristian Gafton <gafton@redhat.com>
- update to 2.4.2-beta18-vr14 from ftp.vr.net

* Mon Aug  3 1998 Jeff Johnson <jbj@redhat.com>
- fix busted symlinks.
